<?php



$tdatatb_contas_banc = array();
$tdatatb_contas_banc[".searchableFields"] = array();
$tdatatb_contas_banc[".ShortName"] = "tb_contas_banc";
$tdatatb_contas_banc[".OwnerID"] = "";
$tdatatb_contas_banc[".OriginalTable"] = "tb_contas_banc";


$tdatatb_contas_banc[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_contas_banc[".originalPagesByType"] = $tdatatb_contas_banc[".pagesByType"];
$tdatatb_contas_banc[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_contas_banc[".originalPages"] = $tdatatb_contas_banc[".pages"];
$tdatatb_contas_banc[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_contas_banc[".originalDefaultPages"] = $tdatatb_contas_banc[".defaultPages"];

//	field labels
$fieldLabelstb_contas_banc = array();
$fieldToolTipstb_contas_banc = array();
$pageTitlestb_contas_banc = array();
$placeHolderstb_contas_banc = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_contas_banc["English"] = array();
	$fieldToolTipstb_contas_banc["English"] = array();
	$placeHolderstb_contas_banc["English"] = array();
	$pageTitlestb_contas_banc["English"] = array();
	$fieldLabelstb_contas_banc["English"]["contaID"] = "Conta ID";
	$fieldToolTipstb_contas_banc["English"]["contaID"] = "";
	$placeHolderstb_contas_banc["English"]["contaID"] = "";
	$fieldLabelstb_contas_banc["English"]["agencia"] = "Agencia";
	$fieldToolTipstb_contas_banc["English"]["agencia"] = "";
	$placeHolderstb_contas_banc["English"]["agencia"] = "";
	$fieldLabelstb_contas_banc["English"]["Num_conta"] = "Num Conta";
	$fieldToolTipstb_contas_banc["English"]["Num_conta"] = "";
	$placeHolderstb_contas_banc["English"]["Num_conta"] = "";
	$fieldLabelstb_contas_banc["English"]["cidade"] = "Cidade";
	$fieldToolTipstb_contas_banc["English"]["cidade"] = "";
	$placeHolderstb_contas_banc["English"]["cidade"] = "";
	$fieldLabelstb_contas_banc["English"]["status"] = "Status";
	$fieldToolTipstb_contas_banc["English"]["status"] = "";
	$placeHolderstb_contas_banc["English"]["status"] = "";
	$fieldLabelstb_contas_banc["English"]["tipo"] = "Tipo";
	$fieldToolTipstb_contas_banc["English"]["tipo"] = "";
	$placeHolderstb_contas_banc["English"]["tipo"] = "";
	$fieldLabelstb_contas_banc["English"]["titular"] = "Titular";
	$fieldToolTipstb_contas_banc["English"]["titular"] = "";
	$placeHolderstb_contas_banc["English"]["titular"] = "";
	$fieldLabelstb_contas_banc["English"]["titular_conjunto"] = "Titular Conjunto";
	$fieldToolTipstb_contas_banc["English"]["titular_conjunto"] = "";
	$placeHolderstb_contas_banc["English"]["titular_conjunto"] = "";
	$fieldLabelstb_contas_banc["English"]["ativar"] = "Ativar";
	$fieldToolTipstb_contas_banc["English"]["ativar"] = "";
	$placeHolderstb_contas_banc["English"]["ativar"] = "";
	$fieldLabelstb_contas_banc["English"]["banco"] = "Banco";
	$fieldToolTipstb_contas_banc["English"]["banco"] = "";
	$placeHolderstb_contas_banc["English"]["banco"] = "";
	$pageTitlestb_contas_banc["English"]["add"] = "Contas Bancária, Add new";
	if (count($fieldToolTipstb_contas_banc["English"]))
		$tdatatb_contas_banc[".isUseToolTips"] = true;
}


	$tdatatb_contas_banc[".NCSearch"] = true;



$tdatatb_contas_banc[".shortTableName"] = "tb_contas_banc";
$tdatatb_contas_banc[".nSecOptions"] = 0;

$tdatatb_contas_banc[".mainTableOwnerID"] = "";
$tdatatb_contas_banc[".entityType"] = 0;

$tdatatb_contas_banc[".strOriginalTableName"] = "tb_contas_banc";

	



$tdatatb_contas_banc[".showAddInPopup"] = false;

$tdatatb_contas_banc[".showEditInPopup"] = false;

$tdatatb_contas_banc[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_contas_banc[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_contas_banc[".listAjax"] = false;
//	temporary
$tdatatb_contas_banc[".listAjax"] = false;

	$tdatatb_contas_banc[".audit"] = false;

	$tdatatb_contas_banc[".locking"] = false;


$pages = $tdatatb_contas_banc[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_contas_banc[".edit"] = true;
	$tdatatb_contas_banc[".afterEditAction"] = 0;
	$tdatatb_contas_banc[".closePopupAfterEdit"] = 1;
	$tdatatb_contas_banc[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_contas_banc[".add"] = true;
$tdatatb_contas_banc[".afterAddAction"] = 0;
$tdatatb_contas_banc[".closePopupAfterAdd"] = 1;
$tdatatb_contas_banc[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_contas_banc[".list"] = true;
}



$tdatatb_contas_banc[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_contas_banc[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_contas_banc[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_contas_banc[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_contas_banc[".printFriendly"] = true;
}



$tdatatb_contas_banc[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_contas_banc[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_contas_banc[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_contas_banc[".isUseAjaxSuggest"] = true;

$tdatatb_contas_banc[".rowHighlite"] = true;





$tdatatb_contas_banc[".ajaxCodeSnippetAdded"] = false;

$tdatatb_contas_banc[".buttonsAdded"] = false;

$tdatatb_contas_banc[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_contas_banc[".isUseTimeForSearch"] = false;


$tdatatb_contas_banc[".badgeColor"] = "E8926F";


$tdatatb_contas_banc[".allSearchFields"] = array();
$tdatatb_contas_banc[".filterFields"] = array();
$tdatatb_contas_banc[".requiredSearchFields"] = array();

$tdatatb_contas_banc[".googleLikeFields"] = array();
$tdatatb_contas_banc[".googleLikeFields"][] = "contaID";
$tdatatb_contas_banc[".googleLikeFields"][] = "agencia";
$tdatatb_contas_banc[".googleLikeFields"][] = "Num_conta";
$tdatatb_contas_banc[".googleLikeFields"][] = "cidade";
$tdatatb_contas_banc[".googleLikeFields"][] = "status";
$tdatatb_contas_banc[".googleLikeFields"][] = "tipo";
$tdatatb_contas_banc[".googleLikeFields"][] = "titular";
$tdatatb_contas_banc[".googleLikeFields"][] = "titular_conjunto";
$tdatatb_contas_banc[".googleLikeFields"][] = "ativar";
$tdatatb_contas_banc[".googleLikeFields"][] = "banco";



$tdatatb_contas_banc[".tableType"] = "list";

$tdatatb_contas_banc[".printerPageOrientation"] = 0;
$tdatatb_contas_banc[".nPrinterPageScale"] = 100;

$tdatatb_contas_banc[".nPrinterSplitRecords"] = 40;

$tdatatb_contas_banc[".geocodingEnabled"] = false;










$tdatatb_contas_banc[".pageSize"] = 20;

$tdatatb_contas_banc[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_contas_banc[".strOrderBy"] = $tstrOrderBy;

$tdatatb_contas_banc[".orderindexes"] = array();

$tdatatb_contas_banc[".sqlHead"] = "SELECT contaID,  	agencia,  	Num_conta,  	cidade,  	status,  	tipo,  	titular,  	titular_conjunto,  	ativar,  	banco";
$tdatatb_contas_banc[".sqlFrom"] = "FROM tb_contas_banc";
$tdatatb_contas_banc[".sqlWhereExpr"] = "";
$tdatatb_contas_banc[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_contas_banc[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_contas_banc[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_contas_banc[".highlightSearchResults"] = true;

$tableKeystb_contas_banc = array();
$tableKeystb_contas_banc[] = "contaID";
$tdatatb_contas_banc[".Keys"] = $tableKeystb_contas_banc;


$tdatatb_contas_banc[".hideMobileList"] = array();




//	contaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "contaID";
	$fdata["GoodName"] = "contaID";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","contaID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "contaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "contaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["contaID"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "contaID";
//	agencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "agencia";
	$fdata["GoodName"] = "agencia";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","agencia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "agencia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "agencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["agencia"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "agencia";
//	Num_conta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Num_conta";
	$fdata["GoodName"] = "Num_conta";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","Num_conta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Num_conta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Num_conta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["Num_conta"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "Num_conta";
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","cidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["cidade"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "cidade";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Ativa";
	$edata["LookupValues"][] = "Inativa";
	$edata["LookupValues"][] = "Cancelada";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["status"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "status";
//	tipo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "tipo";
	$fdata["GoodName"] = "tipo";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","tipo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tipo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Corrente";
	$edata["LookupValues"][] = "Poupança ";
	$edata["LookupValues"][] = "Eletrônica ";
	$edata["LookupValues"][] = "Reserva";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["tipo"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "tipo";
//	titular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "titular";
	$fdata["GoodName"] = "titular";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","titular");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "titular";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "titular";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["titular"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "titular";
//	titular_conjunto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "titular_conjunto";
	$fdata["GoodName"] = "titular_conjunto";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","titular_conjunto");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "titular_conjunto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "titular_conjunto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["titular_conjunto"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "titular_conjunto";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["ativar"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "ativar";
//	banco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "banco";
	$fdata["GoodName"] = "banco";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("tb_contas_banc","banco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "banco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "banco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_banc["banco"] = $fdata;
		$tdatatb_contas_banc[".searchableFields"][] = "banco";


$tables_data["tb_contas_banc"]=&$tdatatb_contas_banc;
$field_labels["tb_contas_banc"] = &$fieldLabelstb_contas_banc;
$fieldToolTips["tb_contas_banc"] = &$fieldToolTipstb_contas_banc;
$placeHolders["tb_contas_banc"] = &$placeHolderstb_contas_banc;
$page_titles["tb_contas_banc"] = &$pageTitlestb_contas_banc;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_contas_banc"] = array();
//	tb_cbanc_movimentos
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_cbanc_movimentos";
		$detailsParam["dOriginalTable"] = "tb_cbanc_movimentos";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_cbanc_movimentos";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_cbanc_movimentos");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_contas_banc"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_contas_banc"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_contas_banc"][$dIndex]["masterKeys"][]="contaID";

				$detailsTablesData["tb_contas_banc"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_contas_banc"][$dIndex]["detailKeys"][]="cbancID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_contas_banc"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_contas_banc()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "contaID,  	agencia,  	Num_conta,  	cidade,  	status,  	tipo,  	titular,  	titular_conjunto,  	ativar,  	banco";
$proto0["m_strFrom"] = "FROM tb_contas_banc";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "contaID",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto6["m_sql"] = "contaID";
$proto6["m_srcTableName"] = "tb_contas_banc";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "agencia",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto8["m_sql"] = "agencia";
$proto8["m_srcTableName"] = "tb_contas_banc";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Num_conta",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto10["m_sql"] = "Num_conta";
$proto10["m_srcTableName"] = "tb_contas_banc";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto12["m_sql"] = "cidade";
$proto12["m_srcTableName"] = "tb_contas_banc";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto14["m_sql"] = "status";
$proto14["m_srcTableName"] = "tb_contas_banc";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto16["m_sql"] = "tipo";
$proto16["m_srcTableName"] = "tb_contas_banc";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "titular",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto18["m_sql"] = "titular";
$proto18["m_srcTableName"] = "tb_contas_banc";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "titular_conjunto",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto20["m_sql"] = "titular_conjunto";
$proto20["m_srcTableName"] = "tb_contas_banc";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto22["m_sql"] = "ativar";
$proto22["m_srcTableName"] = "tb_contas_banc";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "banco",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "tb_contas_banc"
));

$proto24["m_sql"] = "banco";
$proto24["m_srcTableName"] = "tb_contas_banc";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "tb_contas_banc";
$proto27["m_srcTableName"] = "tb_contas_banc";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "contaID";
$proto27["m_columns"][] = "agencia";
$proto27["m_columns"][] = "Num_conta";
$proto27["m_columns"][] = "cidade";
$proto27["m_columns"][] = "status";
$proto27["m_columns"][] = "tipo";
$proto27["m_columns"][] = "titular";
$proto27["m_columns"][] = "titular_conjunto";
$proto27["m_columns"][] = "ativar";
$proto27["m_columns"][] = "banco";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "tb_contas_banc";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "tb_contas_banc";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_contas_banc";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_contas_banc = createSqlQuery_tb_contas_banc();


	
		;

										

$tdatatb_contas_banc[".sqlquery"] = $queryData_tb_contas_banc;

$tableEvents["tb_contas_banc"] = new eventsBase;
$tdatatb_contas_banc[".hasEvents"] = false;

?>